const { rmdirSync } = require('fs')
const { spawn } = require("child_process");
const { platform } = require("os");;
const { Logger } = require('../utils/Logger')
const { getLintConfigDirectory } = require("./getFileUtils");
const { executeSynchronizedCommands }  = require('../utils/executeSyncCommands')

function unzipFolder() {
  const configZipPath = getLintConfigDirectory();
  const command = [`-xvf`, `${configZipPath}`];
  const command_prefix = "tar";
  const childProcess = spawn(command_prefix, command, {
    shell: true
  })
  childProcess.on('exit',() => {
    removeFolder(configZipPath)
  })
  return;
}


function removeFolder(folderPath){
  executeSynchronizedCommands(rmdirSync,[folderPath,{recursive:true}],'common linter configuration folder removed successfully','Unable to remove the common linter configuration folder',false,false)
}


function isWindows(){
    return _os = platform().toLowerCase() === "win32";
}



module.exports = {
  isWindows,
  unzipFolder,
  removeFolder
};
